
#include "ucps2.h"
#include "ucpm2.h"
#include "freOffEst.h"
#include "freOffEstImpl.h"
#include "ape_common.h"
#include "common.h"


v16u32 KI = {2,4,6};


void freOffEstImpl(int* ConfigBaseAddr_est, int *InputAddr0,int *InputAddr1,int *freEstOutAddr){


	freOffEst(ConfigBaseAddr_est, MPU_ADDR(InputAddr0), MPU_ADDR(InputAddr1), MPU_ADDR(freEstOutAddr));
	WAIT_MPU_STOP;
	ape_csu_task_lookup(DMA_TAG_G2L, 1);
	SVRReg[0] = MPU_ADDR(ConfigBaseAddr_est);
   	freOffEstAsm(SVRReg);
	

	return ;

}

